package bundleb;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.util.tracker.ServiceTracker;
import org.osgi.util.tracker.ServiceTrackerCustomizer;

import bundlea.service.IA;

public class Activator implements BundleActivator {

    public void start( BundleContext context ) throws Exception {
        DebugServiceTracker debugServiceTracker = new DebugServiceTracker( context, IA.class.getName(), null );
        debugServiceTracker.open();
    }

    public void stop( BundleContext context ) throws Exception {
    }

    class DebugServiceTracker extends ServiceTracker {

        public DebugServiceTracker( BundleContext context, String clazz, ServiceTrackerCustomizer customizer ) {
            super( context, clazz, customizer );
        }

        @Override
        public Object addingService( ServiceReference reference ) {
            System.out.println( "addingService" );
            return super.addingService( reference );
        }

        @Override
        public void removedService( ServiceReference reference, Object service ) {
            System.out.println( "removedService" );
            super.removedService( reference, service );
        }
        
        @Override
        public void modifiedService( ServiceReference reference, Object service ) {
            System.out.println( "modifiedService" );
            super.modifiedService( reference, service );
        }

    }

}
